﻿using System;
using System.Collections.Generic;

namespace PicoScope
{
  public delegate void IteractionDelegate(string interaction, DateTime time);

  public interface IAutomation
  {
    ICollection<string> GetInteractions();
    ICollection<string> GetActions(string interactionName);
    ICollection<string> GetInputs(string interactionName);
    ICollection<string> GetOutputs(string interactionName);
    bool Do(string action);
    bool Do(string action, string input);
    bool Do(string action, out string output);
    event IteractionDelegate NewInteraction;
  }
}
