﻿using System;
using System.Diagnostics;
using System.Net;
using System.Net.Sockets;
using System.Windows.Forms;
using Griffin.Networking.Messaging;
using Griffin.Networking.Protocol.Http;

namespace PicoScope.AutomationDemo
{
  public partial class MainForm : Form
  {
    private readonly MessagingServer _server;

    public MainForm()
    {
      InitializeComponent();
      WindowState = FormWindowState.Minimized;

      _server = new MessagingServer(new PicoHttpServiceFactory(),
                                       new MessagingServerConfiguration(new HttpMessageFactory()));

      _server.Start(new IPEndPoint(IPAddress.Loopback, 8080));

      _notifyIcon.Visible = true;
      _notifyIcon.ShowBalloonTip(4000, "PicoAutomation Running", "http://localhost:8080", ToolTipIcon.Info); 

    }

    private void ExitMenuItemClick(object sender, EventArgs e)
    {
      _server.Stop();
      Close();
    }
  }
}
